import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'shared-dialog',
  templateUrl: './dialog.component.html',
  styleUrls: ['./dialog.component.css']
})
export class DialogComponent {

  @Input()
  public title: string = 'Titulo';

  @Input()
  public icon: string = 'bi-house-door';

  @Output()
  public onCloseDialog: EventEmitter<void> = new EventEmitter<void>();

  @Input()
  public isActivated: boolean = false;

  closeDialog(): void {
    this.onCloseDialog.emit();
  }
}
