import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'shared-navigation',
  templateUrl: './navigation.component.html',
  styleUrls: ['./navigation.component.css']
})
export class NavigationComponent implements OnInit {

  constructor(private activatedRoute: ActivatedRoute) {}

  ngOnInit(): void {
    // TODO: Subscribe to the title of the current route
    this.activatedRoute.title.subscribe(title => {
      this.titleRoute = title;
    });
  }

  public titleRoute?: string;

}
