import { Component } from '@angular/core';
import { ResultDelete } from 'src/app/shared/interfaces/result-delete.interface';
import { TableModel } from 'src/app/shared/interfaces/table-model.interface';
import { Flight } from '../../interfaces/flight.interface';

@Component({
  selector: 'app-flight-config',
  templateUrl: './flight-config.component.html',
  styleUrls: ['./flight-config.component.css']
})
export class FlightConfigComponent {

  tableData: Flight[] = [
    {
      id: 1,
      airportOrigin: 'Aeropuerto 1',
      airportDestination: 'Aeropuerto 2',
      dateStart: '2021-10-10',
      dateEnd: '2021-10-10'
    },
    {
      id: 2,
      airportOrigin: 'Aeropuerto 1',
      airportDestination: 'Aeropuerto 2',
      dateStart: '2021-10-10',
      dateEnd: '2021-10-10'
    }
  ];
  tableModel: TableModel[] = [
    {
      name: 'id',
      title: '#'
    },
    {
      name: 'airportOrigin',
      title: 'Aeropuerto origen'
    },
    {
      name: 'airportDestination',
      title: 'Aeropuerto destino',
    },
    {
      name: 'dateStart',
      title: 'Fecha de partida'
    },
    {
      name: 'dateEnd',
      title: 'Fecha de llegada'
    }
  ];

  getFlights(): void {

  }

  onDeleteAgent(result: ResultDelete): void {

  }
}
