import { Component } from '@angular/core';
import { MenuItem } from 'src/app/shared/interfaces/menu-item.interface';

@Component({
  selector: 'agent-home-page',
  templateUrl: './home-page.component.html',
  styleUrls: ['./home-page.component.css']
})
export class AgentHomePageComponent {

  public toggleSidebar: boolean = false;

  public menuItems: MenuItem[] = [
    {
      label: 'Pasajeros',
      icon: 'bi-people',
      link: '/agents/passengers'
    },
    {
      label: 'Reservas',
      icon: 'bi-bookmarks-fill',
      link: '/agents/reservations'
    },
  ];

  toggleSidebarEvent(): void {
    this.toggleSidebar = !this.toggleSidebar;
  }
}
