import { Component, Input } from '@angular/core';
import { MenuItem } from '../../interfaces/menu-item.interface';



@Component({
  selector: 'shared-sidebar',
  templateUrl: './sidebar.component.html',
  styleUrls: ['./sidebar.component.css']
})
export class SidebarComponent {
  @Input() 
  public menuItems: MenuItem[] = [];

  @Input()
  public toggle: boolean = false;
}
